Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/TeamBallLocator/GT2005Particles/GT2005ParticleContainerSend.h File Reference

This file contains a particle container used by the GT2005TeamBallLocator. More...

`#include "GT2005ParticleSend.h"`
`#include "Tools/Debugging/GenericDebugData.h"`
`#include "Tools/Math/Common.h"`
`#include "Tools/Math/Vector2.h"`
`#include "Tools/Math/Pose2D.h"`
`#include "Tools/FieldDimensions.h"`
`#include "Representations/Cognition/RobotPose.h"`
`#include "Representations/Perception/ObstaclesPercept.h"`
`#include "Representations/Motion/OdometryData.h"`
`#include "Representations/Cognition/SampleSet.h"`
`#include <math.h>`

Include dependency graph for GT2005ParticleContainerSend.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GT2005ParticleContainerSend
## Defines
#define | numOfBLParticlesSend 12
## Functions
Out & | operator<< (Out &stream, const GT2005ParticleContainerSend &pbs)
In & | operator>> (In &stream, GT2005ParticleContainerSend &pbs)

## Detailed Description

This file contains a particle container used by the GT2005TeamBallLocator.

Author:
  Christine Zarges

  Thorsten Kerkhof

Definition in file GT2005ParticleContainerSend.h.

## Define Documentation

#define numOfBLParticlesSend 12

| Definition at line 26 of file GT2005ParticleContainerSend.h. Referenced by GT2005TeamBallLocator::execute(), GT2005ParticleContainerSend::getNumberOfSamples(), and GT2005ParticleContainerReceived::GT2005ParticleContainerReceived().

## Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const GT2005ParticleContainerSend & | pbs
| ) |

| Definition at line 33 of file GT2005ParticleContainerSend.cpp. References GT2005ParticleContainerSend::getNumberOfSamples(), and GT2005ParticleContainerSend::getNumberOfUsedSamples().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | GT2005ParticleContainerSend & | pbs
| ) |

| Definition at line 43 of file GT2005ParticleContainerSend.cpp. References GT2005ParticleContainerSend::getNumberOfSamples().

Here is the call graph for this function: